package com.yeejoin.amos.supervision.business.dao.mapper;

import com.yeejoin.amos.supervision.business.entity.mybatis.RiskFactorCmBo;

import java.util.List;
import java.util.Map;

public interface RiskFactorCmMapper {

    RiskFactorCmBo getById(Long id);

    List<Long> listControlMeasuresIdsByMap(Map<String, Object> map);

    Integer updateStatusByMap(Map<String, Object> map);

    Long countOutControl(Map<String, Object> map);

}
